List Instances - SuperAI Flows

List Instances

cURL

curl --request GET \
  --url https://flows.super.ai/api/plugins/instances \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'

Python

import requests

url = "https://flows.super.ai/api/plugins/instances"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/plugins/instances', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Error Response

422

{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key

Include your API key in the X-API-Key header as:

X-API-Key: YOUR_API_KEY

Authorization

Include your access token in the Authorization header as:

Authorization: Bearer YOUR_ACCESS_TOKEN

Query Parameters

Response

Successful Response